diff -rupN mscore-0.9.6.1.old/mscore/CMakeLists.txt mscore-0.9.6.1/mscore/CMakeLists.txt
--- mscore-0.9.6.1.old/mscore/CMakeLists.txt	2010-07-12 15:59:57.000000000 -0400
+++ mscore-0.9.6.1/mscore/CMakeLists.txt	2010-07-20 23:39:31.000000000 -0400
@@ -54,6 +54,8 @@ if (APPLE)
       set(OsxFrameworks ${AudioToolboxFW} ${AudioUnitFW} ${CoreAudioFW} ${CoreMidiFW} ${SystemConfigurationFW} ${CoreServicesFW})
 endif (APPLE)
 
+option(USE_SYSTEM_QTSINGLEAPPLICATION "Use system QtSingleApplication" OFF)
+
 set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
 set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
 set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
@@ -234,7 +236,16 @@ if (NOT MINGW AND NOT APPLE)
 endif (NOT MINGW AND NOT APPLE)
 
 set (subdirs al awl osdabzip rtf2html mscore share manual demos
-     scriptgen singleapp fluid)
+     scriptgen fluid)
+
+if(USE_SYSTEM_QTSINGLEAPPLICATION)
+  find_path(QTSINGLEAPPLICATION_INCLUDE_DIRS qtsingleapplication.h PATH_SUFFIXES QtSolutions)
+  find_library(QTSINGLEAPPLICATION_LIBRARIES QtSolutions_SingleApplication-2.6)
+else(USE_SYSTEM_QTSINGLEAPPLICATION)
+  set (subdirs ${subdirs} singleapp)
+  set(QTSINGLEAPPLICATION_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/singleapp/src)
+  set(QTSINGLEAPPLICATION_LIBRARIES qtsingleapp)
+endif(USE_SYSTEM_QTSINGLEAPPLICATION)
 
 if (MINGW OR APPLE)
       set (subdirs ${subdirs} portmidi)
diff -rupN mscore-0.9.6.1.old/mscore/mscore/CMakeLists.txt mscore-0.9.6.1/mscore/mscore/CMakeLists.txt
--- mscore-0.9.6.1.old/mscore/mscore/CMakeLists.txt	2010-07-20 23:24:55.000000000 -0400
+++ mscore-0.9.6.1/mscore/mscore/CMakeLists.txt	2010-07-20 23:40:03.000000000 -0400
@@ -67,6 +67,7 @@ include_directories(
       ${PROJECT_SOURCE_DIR}/scriptdebug
       ${PROJECT_SOURCE_DIR}/osdabzip
       ${PROJECT_SOURCE_DIR}/fluid
+      ${QTSINGLEAPPLICATION_INCLUDE_DIRS}
       )
 
 QT4_WRAP_UI (ui_headers
@@ -232,7 +233,7 @@ if (MINGW)
       awl
       osdabzip
       rtf2html
-      qtsingleapp
+      ${QTSINGLEAPPLICATION_LIBRARIES}
       ${QT_mingw_LIBRARIES}
       portaudio
       portmidi
@@ -283,7 +284,7 @@ else (MINGW)
       awl
       osdabzip
       rtf2html
-      qtsingleapp
+      ${QTSINGLEAPPLICATION_LIBRARIES}
       fluid
       z
       dl
diff -rupN mscore-0.9.6.1.old/mscore/mscore/mscore.cpp mscore-0.9.6.1/mscore/mscore/mscore.cpp
--- mscore-0.9.6.1.old/mscore/mscore/mscore.cpp	2010-07-12 15:55:45.000000000 -0400
+++ mscore-0.9.6.1/mscore/mscore/mscore.cpp	2010-07-21 00:01:44.000000000 -0400
@@ -1813,7 +1813,7 @@ int main(int argc, char* av[])
                         return 0;
                   }
             else{
-                   if (app->sendMessage("")) {
+                  if (app->sendMessage(QString(""))) {
                       return 0;
                       }
                 }
diff -rupN mscore-0.9.6.1.old/mscore/mscore/mscore.h mscore-0.9.6.1/mscore/mscore/mscore.h
--- mscore-0.9.6.1.old/mscore/mscore/mscore.h	2010-07-12 15:55:45.000000000 -0400
+++ mscore-0.9.6.1/mscore/mscore/mscore.h	2010-07-20 23:41:31.000000000 -0400
@@ -25,7 +25,7 @@
 #include "ui_measuresdialog.h"
 #include "ui_insertmeasuresdialog.h"
 #include "ui_aboutbox.h"
-#include "singleapp/src/qtsingleapplication.h"
+#include <QtSingleApplication>
 #include "updatechecker.h"
 
 class ScoreView;
